import 'dart:async';

Future<TResult> waitFor<TResult>(Future<TResult> waitFor, {Duration timeout = const Duration(microseconds: 100)}) async {
  final completedFuture = await Future.any(<Future>[waitFor, Future.delayed(timeout, () => throw TimeoutException("Timeout while waiting for a future to completed.", timeout))]);
  return completedFuture;
}
